Spectre and Meltdown

  • Scott Rd at warning stage
  • Welcome to RMO. You are viewing Rancho Murieta's largest forum as a guest. Sign up for a free account today. Members are allowed to post to the forums and send private messages. Signing up is easy, fast, and free. Registered users also browse RMO with no ads


Staff member
1K+ Likes
Mar 8, 2007
Rancho Murieta South
Spectre and Meltdown are the names given to several security vulnerabilities recently made public. These vulnerabilities affect all modern processors capable of keeping many instructions in flight. This basically means almost every system is affected by Spectre: Desktops, Laptops, Cloud Servers, as well as Smartphones.

Your best defense against these vulnerabilities is to upgrade your systems. You should be running the latest version of your browser and all operating systems should have all patches applied. IE, Edge, Safari, and Firefox are already patched. Chrome will release their patched version on January 23rd. Your risk is relatively low right now, but this is a massive exploit so hackers will be working hard to take advantage of it. If you have any trouble upgrading your computer let me know I am glad to try and help.